/******************************************
 Pellet stove tank level alert
 www.magicmanu.com
 ******************************************/
#include <NewPing.h>

// HC-SR04 ultrasonic sensor
#define TRIGGER_PIN  A1  // Arduino pin tied to trigger pin on the ultrasonic sensor.
#define ECHO_PIN     A0  // Arduino pin tied to echo pin on the ultrasonic sensor.
#define MAX_DISTANCE 200 // Maximum distance we want to ping for (in centimeters). Maximum sensor distance is rated at 400-500cm.

#define buzzer  8  //the pin of the active buzzer
#define push    6
#define led     4

long TimeRef = 0;
int Cycle = 600000;

int cms = 0;

NewPing sonar(TRIGGER_PIN, ECHO_PIN, MAX_DISTANCE); // NewPing setup of pins and maximum distance.

void setup() {
  //Serial.begin(9600); // Open serial monitor at 115200 baud to see ping results.
  pinMode(buzzer,OUTPUT);//initialize the buzzer pin as an output
  pinMode(led,OUTPUT);//led
  pinMode(push,INPUT_PULLUP);// poussoir

  BipBip();
  
}

void loop() {

  bool StatePush = digitalRead(push);

  if (StatePush == LOW)
    TimeRef = 0;
  

  Cycle = millis() - TimeRef;

  // Read every 10 minutes
  if (Cycle > 600000){
    digitalWrite(led,HIGH);
    delay(200);//wait for 2ms
    digitalWrite(led,LOW);

    // Read the distance
    unsigned int uS = sonar.ping();
    cms = uS / US_ROUNDTRIP_CM;
    //Serial.print(cms);
    //Serial.println("cm");

    if (cms > 45 and cms < 70)
      BipBip();
      
    TimeRef = millis();  
  }
}

void BipBip() {
  digitalWrite(buzzer,HIGH);
  delay(100);//wait for 1ms
  digitalWrite(buzzer,LOW);
  delay(100);//wait for 1ms
  digitalWrite(buzzer,HIGH);
  delay(100);//wait for 1ms
  digitalWrite(buzzer,LOW);
}
